summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-games/quake4-sdk/quake4-sdk-1.4.2.ebuild')
-rw-r--r--dev-games/quake4-sdk/quake4-sdk-1.4.2.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-games/quake4-sdk/quake4-sdk-1.4.2.ebuild b/dev-games/quake4-sdk/quake4-sdk-1.4.2.ebuild
new file mode 100644
index 000000000000..5f212d06cdb4
--- /dev/null
+++ b/dev-games/quake4-sdk/quake4-sdk-1.4.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit unpacker games
+
+DESCRIPTION="Quake4 SDK"
+HOMEPAGE="http://www.iddevnet.com/quake4/"
+SRC_URI="mirror://idsoftware/quake4/source/linux/quake4-linux-${PV}-sdk.x86.run"
+
+LICENSE="QUAKE4"
+SLOT="0"
+KEYWORDS="-* amd64 x86"
+IUSE=""
+RESTRICT="strip"
+
+S=${WORKDIR}
+
+src_unpack() {
+ unpack_makeself
+ rm -rf setup.{sh,data} || die
+}
+
+src_install() {
+ insinto "${GAMES_PREFIX_OPT}/${PN}"
+ doins -r *
+ prepgamesdirs
+}